<?php
/**
 * BEAR
 *
 * PHP versions 5
 *
 * @category   BEAR
 * @package    BEAR_Emoji
 * @author     Akihito Koriyama <akihito.koriyama@gmail.com>
 * @copyright  2008-2015 Akihito Koriyama All rights reserved.
 * @license    http://opensource.org/licenses/bsd-license.php BSD
 * @version    @package_version@
 * @link       https://github.com/bearsaturday
 */

/**
 * スタティック絵文字データ for Docomo
 */
$emojiChars = array(
    'SUN' => '<span style="color:#FF0000">&#63647;</span>',
    'CLOUD' => '<span style="color:#0000FF">&#63648;</span>',
    'RAIN' => '<span style="color:#0000FF">&#63649;</span>',
    'SNOW' => '<span style="color:#0000FF">&#63650;</span>',
    'THUNDER' => '<span style="color:#FF8C00">&#63651;</span>',
    'TYPHOON' => '<span style="color:#FF0000">&#63652;</span>',
    'FOG' => '<span style="color:#0000FF">&#63653;</span>',
    'DRIZZLE' => '<span style="color:#0000FF">&#63654;</span>',
    'ARIES' => '<span style="color:#FF0000">&#63655;</span>',
    'TAURUS' => '<span style="color:#FF8C00">&#63656;</span>',
    'GEMINI' => '<span style="color:#00FF00">&#63657;</span>',
    'CANCER' => '<span style="color:#0000FF">&#63658;</span>',
    'LEO' => '<span style="color:#FF0000">&#63659;</span>',
    'VIRGO' => '<span style="color:#FF8C00">&#63660;</span>',
    'LIBRA' => '<span style="color:#00FF00">&#63661;</span>',
    'SCORPIO' => '<span style="color:#0000FF">&#63662;</span>',
    'SAGITTARIUS' => '<span style="color:#FF0000">&#63663;</span>',
    'CAPRICORN' => '<span style="color:#FF8C00">&#63664;</span>',
    'AQUARIUS' => '<span style="color:#00FF00">&#63665;</span>',
    'PISCES' => '<span style="color:#0000FF">&#63666;</span>',
    'SPORTS1' => '<span style="color:#9400D3">&#63667;</span>',
    'BASEBALL' => '<span style="color:#000000">&#63668;</span>',
    'GOLF' => '<span style="color:#0000FF">&#63669;</span>',
    'TENNIS' => '<span style="color:#00FF00">&#63670;</span>',
    'SOCCER' => '<span style="color:#000000">&#63671;</span>',
    'SKIING' => '<span style="color:#0000FF">&#63672;</span>',
    'BASKETBALL' => '<span style="color:#FF8C00">&#63673;</span>',
    'MOTORSPORTS' => '<span style="color:#000000">&#63674;</span>',
    'POKEBERU' => '<span style="color:#9400D3">&#63675;</span>',
    'TRAIN' => '<span style="color:#00FF00">&#63676;</span>',
    'SUBWAY' => '<span style="color:#FF8C00">&#63677;</span>',
    'SHINKANSEN' => '<span style="color:#0000FF">&#63678;</span>',
    'CAR1' => '<span style="color:#000000">&#63679;</span>',
    'CAR2' => '<span style="color:#00FF00">&#63680;</span>',
    'BUS' => '<span style="color:#FF0000">&#63681;</span>',
    'SHIP' => '<span style="color:#0000FF">&#63682;</span>',
    'PLAIN' => '<span style="color:#0000FF">&#63683;</span>',
    'HOME' => '<span style="color:#FF0000">&#63684;</span>',
    'BUILDING' => '<span style="color:#0000FF">&#63685;</span>',
    'POSTOFFICE' => '<span style="color:#FF0000">&#63686;</span>',
    'HOSPITAL' => '<span style="color:#FF0000">&#63686;</span>',
    'BANK' => '<span style="color:#9400D3">&#63688;</span>',
    'ATM' => '<span style="color:#FF0000">&#63689;</span>',
    'HOTEL' => '<span style="color:#00FF00">&#63690;</span>',
    'CONVENI' => '<span style="color:#0000FF">&#63691;</span>',
    'GAS' => '<span style="color:#9400D3">&#63692;</span>',
    'PARKING' => '<span style="color:#0000FF">&#63693;</span>',
    'SIGN' => '<span style="color:#000000">&#63694;</span>',
    'TOILE' => '<span style="color:#000000">&#63695;</span>',
    'RESTRAN' => '<span style="color:#000000">&#63696;</span>',
    'BAR' => '<span style="color:#9400D3">&#63698;</span>',
    'BEER' => '<span style="color:#FF8C00">&#63699;</span>',
    'FASTFOOD' => '<span style="color:#FF8C00">&#63700;</span>',
    'SHOP' => '<span style="color:#FF0000">&#63701;</span>',
    'SALON' => '<span style="color:#0000FF">&#63702;</span>',
    'KARAOKE' => '<span style="color:#000000">&#63703;</span>',
    'MOVIE' => '<span style="color:#000000">&#63704;</span>',
    'YA1' => '<span style="color:#000000">&#63705;</span>',
    'TOYS' => '<span style="color:#FF8C00">&#63706;</span>',
    'ENTAME' => '<span style="color:#0000FF">&#63707;</span>',
    'ART' => '<span style="color:#9400D3">&#63708;</span>',
    'PLAY' => '<span style="color:#000000">&#63709;</span>',
    'EVENT' => '<span style="color:#FF0000">&#63710;</span>',
    'TICKET' => '<span style="color:#FF8C00">&#63711;</span>',
    'SMOKING' => '<span style="color:#000000">&#63712;</span>',
    'NOSMOKING' => '<span style="color:#FF0000">&#63713;</span>',
    'CAMERA' => '<span style="color:#000000">&#63714;</span>',
    'BAG' => '<span style="color:#FF0000">&#63715;</span>',
    'BOOK' => '<span style="color:#FF8C00">&#63716;</span>',
    'RIBBON' => '<span style="color:#FF0000">&#63717;</span>',
    'PRESENT' => '<span style="color:#FF0000">&#63718;</span>',
    'BIRTHDAY' => '<span style="color:#FF0000">&#63719;</span>',
    'PHONE' => '<span style="color:#000000">&#63720;</span>',
    'MOBILE' => '<span style="color:#000000">&#63721;</span>',
    'MEMO' => '<span style="color:#FF8C00">&#63722;</span>',
    'TV' => '<span style="color:#0000FF">&#63723;</span>',
    'GAME' => '<span style="color:#000000">&#63724;</span>',
    'CD' => '<span style="color:#0000FF">&#63725;</span>',
    'HEART1' => '<span style="color:#FF0000">&#63726;</span>',
    'SPADE' => '<span style="color:#000000">&#63727;</span>',
    'DIAMOND' => '<span style="color:#FF0000">&#63728;</span>',
    'CLUB' => '<span style="color:#000000">&#63729;</span>',
    'EYE' => '<span style="color:#000000">&#63730;</span>',
    'EAR' => '<span style="color:#FF8C00">&#63731;</span>',
    'HAND1' => '<span style="color:#FF8C00">&#63732;</span>',
    'HAND2' => '<span style="color:#FF8C00">&#63733;</span>',
    'HAND3' => '<span style="color:#FF8C00">&#63734;</span>',
    'YA2' => '<span style="color:#000000">&#63735;</span>',
    'YA3' => '<span style="color:#000000">&#63736;</span>',
    'FOOT' => '<span style="color:#FF8C00">&#63737;</span>',
    'SHOES' => '<span style="color:#000000">&#63738;</span>',
    'GLASSES' => '<span style="color:#000000">&#63739;</span>',
    'WHEELCHAIR' => '<span style="color:#0000FF">&#63740;</span>',
    'MOON1' => '<span style="color:#000000">&#63808;</span>',
    'MOON2' => '<span style="color:#000000">&#63809;</span>',
    'MOON3' => '<span style="color:#000000">&#63810;</span>',
    'MOON4' => '<span style="color:#000000">&#63811;</span>',
    'MOON5' => '<span style="color:#000000">&#63812;</span>',
    'DOG' => '<span style="color:#FF8C00">&#63813;</span>',
    'CAT1' => '<span style="color:#FF8C00">&#63814;</span>',
    'RESORT' => '<span style="color:#0000FF">&#63815;</span>',
    'CHRISTMAS' => '<span style="color:#00FF00">&#63816;</span>',
    'YA4' => '<span style="color:#000000">&#63817;</span>',
    'PHONETO' => '<span style="color:#000000">&#63858;</span>',
    'MAILTO' => '<span style="color:#000000">&#63859;</span>',
    'FAXTO' => '<span style="color:#000000">&#63860;</span>',
    'IMODE1' => '<span style="color:#FF8C00">&#63861;</span>',
    'IMODE2' => '<span style="color:#FF8C00">&#63862;</span>',
    'MAIL' => '<span style="color:#000000">&#63863;</span>',
    'DOCOMO' => '<span style="color:#000000">&#63864;</span>',
    'DOCOMOPOINT' => '<span style="color:#000000">&#63865;</span>',
    'CHARGE' => '<span style="color:#FF0000">&#63866;</span>',
    'FREE' => '<span style="color:#FF0000">&#63867;</span>',
    'ID' => '<span style="color:#FF0000">&#63868;</span>',
    'PASSWORD' => '<span style="color:#FF0000">&#63869;</span>',
    'RETURN' => '<span style="color:#FF0000">&#63870;</span>',
    'CLEAR' => '<span style="color:#FF0000">&#63872;</span>',
    'SEARCH' => '<span style="color:#0000FF">&#63873;</span>',
    'NEW' => '<span style="color:#FF0000">&#63874;</span>',
    'GPS' => '<span style="color:#FF0000">&#63875;</span>',
    'FREEDIAL' => '<span style="color:#000000">&#63876;</span>',
    'SHARPDIAL' => '<span style="color:#000000">&#63877;</span>',
    'Q' => '<span style="color:#000000">&#63937;</span>',
    'NUM01' => '<span style="color:#000000">&#63879;</span>',
    'NUM02' => '<span style="color:#000000">&#63880;</span>',
    'NUM03' => '<span style="color:#000000">&#63881;</span>',
    'NUM04' => '<span style="color:#000000">&#63882;</span>',
    'NUM05' => '<span style="color:#000000">&#63883;</span>',
    'NUM06' => '<span style="color:#000000">&#63884;</span>',
    'NUM07' => '<span style="color:#000000">&#63885;</span>',
    'NUM08' => '<span style="color:#000000">&#63886;</span>',
    'NUM09' => '<span style="color:#000000">&#63887;</span>',
    'NUM00' => '<span style="color:#000000">&#63888;</span>',
    'OK1' => '<span style="color:#FF0000">&#63920;</span>',
    'HEART2' => '<span style="color:#FF0000">&#63889;</span>',
    'HEART3' => '<span style="color:#FF0000">&#63890;</span>',
    'HEARTBREAK' => '<span style="color:#FF0000">&#63891;</span>',
    'HEART4' => '<span style="color:#FF0000">&#63892;</span>',
    'FACE1' => '<span style="color:#9400D3">&#63893;</span>',
    'FACE2' => '<span style="color:#FF0000">&#63894;</span>',
    'FACE3' => '<span style="color:#0000FF">&#63895;</span>',
    'FACE4' => '<span style="color:#00FF00">&#63896;</span>',
    'FACE5' => '<span style="color:#0000FF">&#63897;</span>',
    'GOOD' => '<span style="color:#FF0000">&#63898;</span>',
    'ONPU' => '<span style="color:#FF0000">&#63899;</span>',
    'ONSEN' => '<span style="color:#FF0000">&#63900;</span>',
    'MIDASHI' => '<span style="color:#9400D3">&#63901;</span>',
    'KISS' => '<span style="color:#FF0000">&#63902;</span>',
    'KIRAKIRA' => '<span style="color:#FF8C00">&#63903;</span>',
    'HINT' => '<span style="color:#FF8C00">&#63904;</span>',
    'ANGER' => '<span style="color:#000000">&#63905;</span>',
    'PUNCH' => '<span style="color:#FF0000">&#63906;</span>',
    'BOMB' => '<span style="color:#000000">&#63907;</span>',
    'MOOD' => '<span style="color:#FF0000">&#63908;</span>',
    'BAD' => '<span style="color:#0000FF">&#63909;</span>',
    'SLEEP' => '<span style="color:#0000FF">&#63910;</span>',
    'BIKKURI' => '<span style="color:#FF0000">&#63911;</span>',
    'QUESTION' => '<span style="color:#9400D3">&#63912;</span>',
    'BIKKURI2' => '<span style="color:#FF0000">&#63913;</span>',
    'DON' => '<span style="color:#FF0000">&#63914;</span>',
    'ASE1' => '<span style="color:#000000">&#63915;</span>',
    'ASE2' => '<span style="color:#000000">&#63916;</span>',
    'DASH' => '<span style="color:#000000">&#63917;</span>',
    'SIGN1' => '<span style="color:#000000">&#63918;</span>',
    'SIGN2' => '<span style="color:#000000">&#63919;</span>',
    'CLAPPERBOARD' => '<span style="color:#000000">&#63824;</span>',
    'FUKURO' => '<span style="color:#000000">&#63825;</span>',
    'PEN1' => '<span style="color:#000000">&#63826;</span>',
    'SHADOW' => '<span style="color:#000000">&#63829;</span>',
    'CHAIR' => '<span style="color:#000000">&#63830;</span>',
    'NIGHT' => '<span style="color:#000000">&#63831;</span>',
    'SOON' => '<span style="color:#000000">&#63835;</span>',
    'ON' => '<span style="color:#000000">&#63836;</span>',
    'END' => '<span style="color:#000000">&#63837;</span>',
    'SCHEDULE' => '<span style="color:#000000">&#63838;</span>',
    'IAPP1' => '<span style="color:#FF8C00">&#63921;</span>',
    'IAPP2' => '<span style="color:#FF8C00">&#63922;</span>',
    'TSHIRT' => '<span style="color:#0000FF">&#63923;</span>',
    'GAMA' => '<span style="color:#000000">&#63924;</span>',
    'MAKEUP' => '<span style="color:#FF0000">&#63925;</span>',
    'ZUBON' => '<span style="color:#104E8B">&#63926;</span>',
    'SPORTS2' => '<span style="color:#0000FF">&#63927;</span>',
    'TIN' => '<span style="color:#FF8C00">&#63928;</span>',
    'DOOR' => '<span style="color:#8B0000">&#63929;</span>',
    'MONEY' => '<span style="color:#8B0000">&#63930;</span>',
    'PC' => '<span style="color:#000000">&#63931;</span>',
    'HEARTMAIL' => '<span style="color:#FF0000">&#63932;</span>',
    'TOOL' => '<span style="color:#000000">&#63933;</span>',
    'PEN2' => '<span style="color:#00FF00">&#63934;</span>',
    'CROWN' => '<span style="color:#FF8C00">&#63935;</span>',
    'RING' => '<span style="color:#9400D3">&#63936;</span>',
    'WATCH1' => '<span style="color:#000000">&#63937;</span>',
    'BICYCLE' => '<span style="color:#000000">&#63938;</span>',
    'CUP' => '<span style="color:#00FF00">&#63939;</span>',
    'WATCH2' => '<span style="color:#000000">&#63940;</span>',
    'FACE6' => '<span style="color:#00FF00">&#63941;</span>',
    'FACE7' => '<span style="color:#9400D3">&#63942;</span>',
    'FACE8' => '<span style="color:#0000FF">&#63943;</span>',
    'FACE9' => '<span style="color:#0000FF">&#63944;</span>',
    'FACE10' => '<span style="color:#FF0000">&#63945;</span>',
    'FACE11' => '<span style="color:#6A5ACD">&#63946;</span>',
    'FACE12' => '<span style="color:#9400D3">&#63947;</span>',
    'OK2' => '<span style="color:#FF8C00">&#63948;</span>',
    'FACE13' => '<span style="color:#FF0000">&#63949;</span>',
    'FACE14' => '<span style="color:#9400D3">&#63950;</span>',
    'FACE15' => '<span style="color:#9400D3">&#63951;</span>',
    'FACE16' => '<span style="color:#0000FF">&#63954;</span>',
    'CAT2' => '<span style="color:#FF8C00">&#63953;</span>',
    'FACE17' => '<span style="color:#0000FF">&#63955;</span>',
    'NG' => '<span style="color:#FF0000">&#63956;</span>',
    'CLIP' => '<span style="color:#0000FF">&#63957;</span>',
    'COPYRIGHT' => '<span style="color:#000000">&#63958;</span>',
    'TM' => '<span style="color:#000000">&#63959;</span>',
    'RUN' => '<span style="color:#000000">&#63960;</span>',
    'MARUHI' => '<span style="color:#FF0000">&#63961;</span>',
    'UPDATE' => '<span style="color:#00FF00">&#63962;</span>',
    'R' => '<span style="color:#000000">&#63963;</span>',
    'ALERT' => '<span style="color:#FF8C00">&#63964;</span>',
    'KIN' => '<span style="color:#FF0000">&#63965;</span>',
    'AKI' => '<span style="color:#0000FF">&#63966;</span>',
    'GOU' => '<span style="color:#FF0000">&#63967;</span>',
    'MAN' => '<span style="color:#FF0000">&#63968;</span>',
    'YA5' => '<span style="color:#000000">&#63969;</span>',
    'YA6' => '<span style="color:#000000">&#63970;</span>',
    'SCHOOL' => '<span style="color:#00FF00">&#63971;</span>',
    'WAVE' => '<span style="color:#0000FF">&#63972;</span>',
    'FUJI' => '<span style="color:#0000FF">&#63973;</span>',
    'FOURLEAF' => '<span style="color:#00FF00">&#63974;</span>',
    'CHERRY' => '<span style="color:#FF0000">&#63975;</span>',
    'TULIP' => '<span style="color:#FF0000">&#63976;</span>',
    'BANANA' => '<span style="color:#FF8C00">&#63977;</span>',
    'APPLE' => '<span style="color:#FF0000">&#63978;</span>',
    'BUD' => '<span style="color:#00FF00">&#63979;</span>',
    'MOMIJI' => '<span style="color:#FF0000">&#63980;</span>',
    'SAKURA' => '<span style="color:#9400D3">&#63981;</span>',
    'ONIGIRI' => '<span style="color:#000000">&#63982;</span>',
    'CAKE' => '<span style="color:#FF0000">&#63983;</span>',
    'TOKURI' => '<span style="color:#8B0000">&#63984;</span>',
    'DONBURI' => '<span style="color:#FF8C00">&#63985;</span>',
    'BREAD' => '<span style="color:#8B0000">&#63986;</span>',
    'SNAIL' => '<span style="color:#8B0000">&#63987;</span>',
    'HIYOKO' => '<span style="color:#FF8C00">&#63988;</span>',
    'PENGIN' => '<span style="color:#104E8B">&#63989;</span>',
    'FISH' => '<span style="color:#0000FF">&#63990;</span>',
    'FACE18' => '<span style="color:#FF8C00">&#63991;</span>',
    'FACE19' => '<span style="color:#FF8C00">&#63992;</span>',
    'HORSE' => '<span style="color:#8B0000">&#63993;</span>',
    'PIG' => '<span style="color:#FF8C00">&#63994;</span>',
    'WINE' => '<span style="color:#6A5ACD">&#63995;</span>',
    'FACE20' => '<span style="color:#6A5ACD">&#63996;</span>',
);
